<?php
$t = 'Редактирование профайла';
require_once '../../wcore/core.php';
require_once '../../wcore/head.php';
require_once '../../wcore/order_tld24.php';
iank();
$_check = mysqli_num_rows(mysqli_query($mysqli,"SELECT * FROM `tld24_profile` WHERE `uid` = '".$ank->id."'"));


if ($_check == 0){
    
    if (isset($_GET['surname']) && isset($_GET['name']) && isset($_GET['otchestvo']) && isset($_GET['oblast']) && isset($_GET['post']) && isset($_GET['city']) && isset($_GET['street']) && isset($_GET['phone']) && isset($_GET['seriya']) && isset($_GET['by']) && isset($_GET['date']) && isset($_GET['birthday']) && !empty($_GET['surname']) && !empty($_GET['name']) && !empty($_GET['otchestvo']) && !empty($_GET['oblast']) && !empty($_GET['post']) && !empty($_GET['city']) && !empty($_GET['street']) && !empty($_GET['phone']) && !empty($_GET['seriya']) && !empty($_GET['by']) && !empty($_GET['date']) && !empty($_GET['birthday'])){
        #echo $_SERVER['QUERY_STRING'];
        $_start = json_decode(order_tld24('CreateProfile',9,$_SERVER['QUERY_STRING']), true);
        if ($_start['status'] == 'ok'){
            mysqli_query($mysqli,"INSERT INTO `tld24_profile`(`pid`, `uid`) VALUES ('".$_start['profileid']."','$ank->id')");
            mysqli_query($mysqli,"UPDATE `users` SET `name`='".antixs($_GET['name'])."',`surname`='".antixs($_GET['surname'])."' WHERE `id` = '$ank->id'");
            echo '<div class="notify suc">Профайл обновлен</div>';
            #header('Location: ?act=succ');exit();
        } else {
            
            $replaseerr = str_replace("otchestvo", "Отчество", $_start['syserr']);
            $replaseerr = str_replace("birthday", "День рождение", $replaseerr);
            $replaseerr = str_replace("surname", "Фамилия", $replaseerr);
            $replaseerr = str_replace("seriya", "Серия и номер паспорта", $replaseerr);
            $replaseerr = str_replace("street", "Улица", $replaseerr);
            $replaseerr = str_replace("oblast", "Область", $replaseerr);
            $replaseerr = str_replace("phone", "Телефон", $replaseerr);
            $replaseerr = str_replace("name", "Имя", $replaseerr);
            $replaseerr = str_replace("post", "Почтовый индекс", $replaseerr);
            $replaseerr = str_replace("city", "Город", $replaseerr);
            $replaseerr = str_replace("date", "Дата выдачи паспорта", $replaseerr);
            $replaseerr = str_replace("by", "Полное наименование органа, выдавшего паспорт", $replaseerr);
            echo '<div class="notify err">Произошла ошибка, проверьте правильно ли вы ввели данные.<br>'.$replaseerr.'</div>';
            #header('Location: ?act=err');exit();
        }
        require_once '../../wcore/foot.php';
        exit();
    }
    
    echo '<div class="mess"><form>
    Фамилия:<br><input type="text" name="surname" placeholder="Пример: Иванов" value="'.(isset($_GET['surname']) && !empty($_GET['surname'])?antixs($_GET['surname']):'').'"><br>
    Имя:<br><input type="text" name="name" placeholder="Пример: Александр" value="'.(isset($_GET['name']) && !empty($_GET['name'])?antixs($_GET['name']):'').'"><br>
    Отчество:<br><input type="text" name="otchestvo" placeholder="Пример: Иванович" value="'.(isset($_GET['otchestvo']) && !empty($_GET['otchestvo'])?antixs($_GET['otchestvo']):'').'"><br>
    Область:<br><select name="oblast">';
    $opov = mysqli_query($mysqli,"SELECT * FROM `tld24_oblast` ORDER BY `id` ASC");
    while ($a = mysqli_fetch_assoc($opov)){
        echo '<option name="'.$a['id'].'">'.$a['name'].'</option>';
    }
    echo '</select><br>
    Почтовый индекс:<br><input type="number" name="post" placeholder="Пример: 189343" value="'.(isset($_GET['post']) && !empty($_GET['post'])?antixs($_GET['post']):'').'"><br>
    Город:<br><input type="text" name="city" placeholder="Пример: Москва" value="'.(isset($_GET['city']) && !empty($_GET['city'])?antixs($_GET['city']):'').'"><br>
    Адрес:<br><input type="text" name="street" placeholder="Пример: ул. Саратовская, д. 5, кв. 34; ул. Крымская, д. 172 (частный дом); ул. Сумская, д. 2, офис 4" value="'.(isset($_GET['street']) && !empty($_GET['street'])?antixs($_GET['street']):'').'"><br>
    Телефон с международным кодом (включая символ +) (Скобки и дефисы не допускаются.):<br><input type="text" name="phone" placeholder="Пример: +7 495 8102233" value="'.(isset($_GET['phone']) && !empty($_GET['phone'])?antixs($_GET['phone']):'').'"><br>
    Серия и номер паспорта:<br><input type="text" name="seriya" placeholder="Пример: 34 02 651241" value="'.(isset($_GET['seriya']) && !empty($_GET['seriya'])?antixs($_GET['seriya']):'').'"><br>
    Полное наименование органа, выдавшего паспорт:<br><input type="text" name="by" placeholder="Пример: 48 о/м г.Москвы" value="'.(isset($_GET['by']) && !empty($_GET['by'])?antixs($_GET['by']):'').'"><br>
    Дата выдачи паспорта:<br><input type="text" name="date" placeholder="Пример: 23.07.1999" value="'.(isset($_GET['date']) && !empty($_GET['date'])?antixs($_GET['date']):'').'"><br>
    Дата рождения:<br><input type="text" name="birthday" placeholder="Пример: 20.07.1983" value="'.(isset($_GET['birthday']) && !empty($_GET['birthday'])?antixs($_GET['birthday']):'').'"><br>
    <button>Сохранить профайл</button>
    </form></div>';
} else {
	$qwe = mysqli_fetch_object(mysqli_query($mysqli,"SELECT * FROM `tld24_profile` WHERE `uid` = '".$ank->id."' LIMIT 1"));
    echo '<div class="mess">Профайл уже заполнен!<br>Если вам необходимо его сменить, то необходимо обратиться в службу тех.поддержки.</div>';
    $_start = json_decode(order_tld24('Profile',9,$qwe->pid), true);
    if ($_start['status'] == 'ok'){
        $pro = $_start['fields'];
        echo '<div class="mess">Профайл привязан к '.$pro['surname'].' '.$pro['name'].' '.$pro['otchestvo'].'</div>';
    } else {
        echo '<div class="notify err">Не удалось получить данные.</div>';
    }
}
require_once '../../wcore/foot.php';